Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Interface Workspace

All Superinterfaces:
  Serializable

Deprecated. Do not use any more. Use `WindowManager` methods directly, e.g. `WindowManager.getModes()` etc.

    public interface Workspace

extends Serializable

Represents one user workspace that holds a list of modes into which components can be assigned. Created by WindowManager. When serialized only keeps "weak" reference to this workspace does not stores the content of the workspace (it is responsibility of window manager).

Important note: Do not provide implementation of this interface unless you are window system provider!

Field Summary
`static String` | `PROP_DISPLAY_NAME` Deprecated. Do no use. It is redundant.
`static String` | `PROP_MODES` Deprecated. Use `WindowManager.PROP_MODES` instead.
`static String` | `PROP_NAME` Deprecated. Do no use. It is redundant.
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`void` | `activate()` Deprecated. Do no use. It is redundant.
`void` | `addPropertyChangeListener(PropertyChangeListener list)` Deprecated. Use `WindowManager.addPropertyChangeListener(java.beans.PropertyChangeListener)` instead.
`Mode` | `createMode(String name, String displayName, URL icon)` Deprecated. Do no use. It is redundant. Currently it returns default predefined `Mode` instance.
`Mode` | `findMode(String name)` Deprecated. Use `WindowManager.findMode(String)` instead.
`Mode` | `findMode(TopComponent c)` Deprecated. Use `WindowManager.findMode(TopComponent)` instead.
`Rectangle` | `getBounds()` Deprecated. Do no use. It is redundant.
`String` | `getDisplayName()` Deprecated. Do no use. It is redundant.
`Set` | `getModes()` Deprecated. Use `WindowManager.getModes()` instead.
`String` | `getName()` Deprecated. Do no use. It is redundant.
`void` | `remove()` Deprecated. Do no use. It is redundant.
`void` | `removePropertyChangeListener(PropertyChangeListener list)` Deprecated. Use `WindowManager.removePropertyChangeListener(java.beans.PropertyChangeListener)` instead.

Field Detail

### PROP_MODES

    static final String PROP_MODES

  Deprecated. Use `WindowManager.PROP_MODES` instead.
  Name of property for modes in the workspace.

  See Also:
    Constant Field Values

### PROP_NAME

    static final String PROP_NAME

  Deprecated. Do no use. It is redundant.
  Name of property for the programmatic name of this workspace.

  See Also:
    Constant Field Values

### PROP_DISPLAY_NAME

    static final String PROP_DISPLAY_NAME

  Deprecated. Do no use. It is redundant.
  Name of property for the display name of this workspace.

  See Also:
    Constant Field Values

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  Do not use.

  See Also:
    Constant Field Values

Method Detail

### getName

    String getName()

  Deprecated. Do no use. It is redundant.

  Gets the unique programmatic name of this workspace. Used e.g. by `WindowManager.findWorkspace(java.lang.String)`.

  Returns:
    the code name of this workspace

### getDisplayName

    String getDisplayName()

  Deprecated. Do no use. It is redundant.

  Get human-presentable name of the workspace which will be used for displaying.

  Returns:
    the display name of the workspace

### getModes

    Set getModes()

  Deprecated. Use `WindowManager.getModes()` instead.

  Gets a list of all modes on this workspace.

  Returns:
    a set of all `Mode`s known on this workspace

### getBounds

    Rectangle getBounds()

  Deprecated. Do no use. It is redundant.

  Get bounds of the workspace. Returned value has slighly different meaning for SDI and MDI mode. Modules should use this method for correct positioning of their windows.

  Returns:
    In SDI, returns bounds relative to whole screen, returns bounds of the part of screen below main window (or above main window, if main window is on bottom part of the screen).
    In MDI, bounds are relative to the main window; returned value represents 'client area' of the main window

### activate

    void activate()

  Deprecated. Do no use. It is redundant.

  Activates this workspace to be current one. This leads to change of current workspace of the WindowManager.

### createMode

    Mode createMode(String name,
                    String displayName,
                    URL icon)

  Deprecated. Do no use. It is redundant. Currently it returns default predefined `Mode` instance.

  Create a new mode.

  Parameters:
    `name` - a unique programmatic name of the mode
    `displayName` - a human presentable (probably localized) name of the mode (may be used by the Dock Into submenu, e.g.)
    `icon` - a URL to the icon to use for the mode (e.g. on a tab or window corner); may be `null`
  Returns:
    the new mode

### findMode

    Mode findMode(String name)

  Deprecated. Use `WindowManager.findMode(String)` instead.

  Search all modes on this workspace by name.

  Parameters:
    `name` - the name of the mode to search for
  Returns:
    the mode with that name, or `null` if no such mode can be found

### findMode

    Mode findMode(TopComponent c)

  Deprecated. Use `WindowManager.findMode(TopComponent)` instead.

  Finds mode the component is in on this workspace.

  Parameters:
    `c` - component to find mode for
  Returns:
    the mode or null if the component is not visible on this workspace

### remove

    void remove()

  Deprecated. Do no use. It is redundant.

  Removes this workspace from set of workspaces in window manager.

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener list)

  Deprecated. Use `WindowManager.addPropertyChangeListener(java.beans.PropertyChangeListener)` instead.

  Add a property change listener.

  Parameters:
    `list` - the listener to add

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener list)

  Deprecated. Use `WindowManager.removePropertyChangeListener(java.beans.PropertyChangeListener)` instead.

  Remove a property change listener.

  Parameters:
    `list` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.